 <template>
    <div style="height: 100%">
        <nav class="navbar navbar-expand-lg navbar-dark bg-warning">
            <div class="container">
                <a class="navbar-brand" href="#">Lawconnect</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-default" aria-controls="navbar-default" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbar-default">
                    <div class="navbar-collapse-header">
                        <div class="row">
                            <div class="col-6 collapse-brand">
                                <a href="index.html">
                                    <img src="assets/img/brand/blue.png">
                                </a>
                            </div>
                            <div class="col-6 collapse-close">
                                <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbar-default" aria-controls="navbar-default" aria-expanded="false" aria-label="Toggle navigation">
                                    <span></span>
                                    <span></span>
                                </button>
                            </div>
                        </div>
                    </div>

                    <ul class="navbar-nav ml-lg-auto">
                        <li class="nav-item">
                            <a @click.prevent="logout"><font-awesome-icon title="logout" :icon="['fas', 'sign-out-alt']"  style="cursor: pointer; font-size: 22px; color: #f7f7f7"/></a>
                        </li>
                    </ul>

                </div>
            </div>
        </nav>
        <div class="container shadow-sm p-3 bg-white rounded mb-4" style="background-color: #f6f6f6;">
            <slot></slot>
        </div>
        <footer class="footer">
            <div class="container">
                <div class="row row-grid align-items-center mb-5">
                    <div class="col-lg-6">
                        <h3 class="text-primary font-weight-light mb-2">Thank you for supporting us!</h3>
                        <h4 class="mb-0 font-weight-light">Let's get in touch on any of these platforms.</h4>
                    </div>
                    <div class="col-lg-6 text-lg-center btn-wrapper">
                        <a target="_blank" href="https://twitter.com/creativetim" class="btn btn-neutral btn-icon-only btn-twitter btn-round btn-lg" data-toggle="tooltip" data-original-title="Follow us">
                            <i class="fa fa-twitter"></i>
                        </a>
                        <a target="_blank" href="https://www.facebook.com/creativetim" class="btn btn-neutral btn-icon-only btn-facebook btn-round btn-lg" data-toggle="tooltip" data-original-title="Like us">
                            <i class="fa fa-facebook-square"></i>
                        </a>
                        <a target="_blank" href="https://dribbble.com/creativetim" class="btn btn-neutral btn-icon-only btn-dribbble btn-lg btn-round" data-toggle="tooltip" data-original-title="Follow us">
                            <i class="fa fa-dribbble"></i>
                        </a>
                        <a target="_blank" href="https://github.com/creativetimofficial" class="btn btn-neutral btn-icon-only btn-github btn-round btn-lg" data-toggle="tooltip" data-original-title="Star on Github">
                            <i class="fa fa-github"></i>
                        </a>
                    </div>
                </div>
                <hr>
                <div class="row align-items-center justify-content-md-between">
                    <div class="col-md-6">
                        <div class="copyright">
                            &copy; 2019 Lawconnect.
                        </div>
                    </div>
                </div>
            </div>
        </footer>
    </div>
</template>
 <script>
     export default {
         methods: {
             async logout() {
                 await this.$auth.logout()
                 this.$router.push('/authentication/login')
             },
         }
     }
 </script>

 <style>
     html {
         font-family: 'Source Sans Pro', -apple-system, BlinkMacSystemFont, 'Segoe UI',
         Roboto, 'Helvetica Neue', Arial, sans-serif;
         font-size: 16px;
         word-spacing: 1px;
         -ms-text-size-adjust: 100%;
         -webkit-text-size-adjust: 100%;
         -moz-osx-font-smoothing: grayscale;
         -webkit-font-smoothing: antialiased;
         box-sizing: border-box;
     }

     body {
         background-color: #F7F7F7;
     }

     *,
     *:before,
     *:after {
         box-sizing: border-box;
         margin: 0;
     }

     .button--green {
         display: inline-block;
         border-radius: 4px;
         border: 1px solid #3b8070;
         color: #3b8070;
         text-decoration: none;
         padding: 10px 30px;
     }

     .button--green:hover {
         color: #fff;
         background-color: #3b8070;
     }

     .button--grey {
         display: inline-block;
         border-radius: 4px;
         border: 1px solid #35495e;
         color: #35495e;
         text-decoration: none;
         padding: 10px 30px;
         margin-left: 15px;
     }

     .button--grey:hover {
         color: #fff;
         background-color: #35495e;
     }
 </style>
